package com.hanwha.morakmorak.ui.main.home.post

import android.view.View
import com.hanwha.morakmorak.core.BaseViewModel
import com.hanwha.morakmorak.util.NotNullMutableLiveData

/**
 * Created by aaron on 2019-10-10
 */
class PostDialogViewModel : BaseViewModel() {

    lateinit var onDialogCloseClick: (View) -> Unit
    lateinit var onDialogNegativeClick: (View) -> Unit
    lateinit var onDialogPositiveClick: (View) -> Unit

    val dateTime: NotNullMutableLiveData<String> = NotNullMutableLiveData("")
    val location: NotNullMutableLiveData<String> = NotNullMutableLiveData("")
    val maxPerson: NotNullMutableLiveData<String> = NotNullMutableLiveData("")
    val cover: NotNullMutableLiveData<String> = NotNullMutableLiveData("")
}